AMPLE(1)

NAME
ample - Ample MP3 server

SYNOPSIS
ample [OPTION] [PATH...]

DESCRIPTION
ample Ample is an MP3 server that allows you to listen to your music that can be stored locally or remotely. It does not intend to support mixing, radio shows etc. It's just an easy way to listen to your MP3's everywhere using the "open location" features already present in XMMS, WinAmp and Media Player. After installing, configuring and starting ample, try connecting to http://server:1234/ with the "open location" feature of your favourite MP3 player or http://server:1234/index.html with your favourite web browser.

OPTIONS

-p NUM --port=NUM
    Listen to TCP port NUM, default is 1234.

-o --order
    When a list of files is requested, play them in alphabetical order.

-c NUM --clients=NUM
    Allow a maximum of NUM clients to be connected at the same time.

-n --norecursive
    Don't automatically index files in subdirs of the directories being indexed

-f FILE --conffile=FILE
    Use FILE as config file instead of the default /etc/ample.conf. See ample.conf(5) for details.

-m FILE --htmlfile=FILE
    Use FILE as HTML template instead of the default /etc/ample.html. See ample.html(5) for details.

-h --help
    Display help message and exit.

-d [NUM] --debug[=NUM]
    Print debug messages, a higher value of NUM means more detail.

-t --trace
    Disables forking and backgrounding, useful for debugging.

-v --version
    Display version information and exit.

-i --pidfile [PIDFILE]
    Write a PIDFILE to handle ample as a daemon

[PATH...]
    These are path(s) to files or directories that Ample can use to populate it's list of MP3's. If PATH is a directory, all files (possibly recursively, see the -n option above) will be added. If PATH is a regular file ending with .mp3 it will be added and if it is a regular file ending with .m3u (MP3 playlist) the files listed in it will be added.

FILES
/etc/ample.conf
    The default config file (another file may be used, see the -f option above). See ample.conf(5) for further details.

/etc/ample.html
    The default HTML template file (another file may be used, see the -m option above). See ample.html(5) for further details.

BUGS
Of course totally bugfree or your money back :-)

AUTHOR
David Härdeman <david@2gen.com>

SEE ALSO
ample.conf(5), ample.html(5)